@inherits Jones.AspNetCore.Components.Table.TableColumn<dynamic>

@if (IsInitialize)
{
    return;
}
@if (IsHeader)
{
    <th scope="col">
        @if (TitleTemplate != null) @TitleTemplate else @GetTitle()
    </th>
}
else if (IsFooter)
{
    <td @attributes="@AdditionalAttributes">
        @if (FooterTemplate != null) @FooterTemplate else @(Footer?.Invoke())
    </td>
}
else
{
    <td @attributes="@AdditionalAttributes">
        @ChildContent
    </td>
}